Associates a calendar with the given schedule by adding the calendarId to a schedule
PUT https://services.leadconnectorhq.com/calendars/schedules/{id}/associations/{calendarId}
Autorización
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.
Path parameters
id
string
default:"IkqiJlXJ7o9h61tCHHod"
required
Unique identifier of the schedule
calendarId
string
default:"WvVX9LpvlBO6K506xLbp"
required
Unique identifier of the team calendar to add to the schedule
Respuestas
200 - Calendar successfully added to schedule
400 - Schedule and calendar must belong to the same account
401 - User not authenticated
404 - Schedule or calendar not found
Ejemplo
curl -X PUT 'https://services.leadconnectorhq.com/calendars/schedules/YOUR_id/associations/YOUR_calendarId' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28'
const response = await fetch('https://services.leadconnectorhq.com/calendars/schedules/YOUR_id/associations/YOUR_calendarId', {
method: 'PUT',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
},
});
const data = await response.json();
import os, requests
response = requests.request(
'PUT',
'https://services.leadconnectorhq.com/calendars/schedules/YOUR_id/associations/YOUR_calendarId',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/calendars/schedules/YOUR_id/associations/YOUR_calendarId');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PUT',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
],
]);
$data = json_decode(curl_exec($ch), true);